why (2.39-2) unstable; urgency=medium

  * update Architecture list (closes: #875569)
    - changes due to ocaml 4.05: -armel +ppc64el +s390x
    - drop obsolete lpia
  * Standards-Version 4.1.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 12 Oct 2017 08:25:52 +0200

why (2.39-1) unstable; urgency=medium

  * New upstream version (closes: #872281)
  * Bumped build-dependency on frama-c-base to 20170501+phosphorus+dfsg
  * debian/copyright:
    - migrate to machine-readable format 1.0
    - fix upstream contact (Claude Marché)
  * Standards-Version 4.0.1 (no change)
  * Dropped build-dep on autotools-dev, which is obsolete with DH level 10.

 -- Ralf Treinen <treinen@debian.org>  Wed, 06 Sep 2017 21:34:58 +0200

why (2.38-1) unstable; urgency=medium

  * New upstream version (closes: #858366)
    - refreshed patches bprintf, edge
    - dropped hunks of patch reproducible_build that have been applied
      by upstream.
  * Bump build-dependency on frama-c-base to 20161101+silicon+dfsg
  * debian/why.install: install Jessie.o
  * Restrict Architecture of the why package to architectures having a
    native-code compiler for ocaml, since upstream ceased to maintain
    the why package for bytecode-only architectures.

 -- Ralf Treinen <treinen@debian.org>  Mon, 24 Apr 2017 08:25:31 +0200

why (2.36-5) unstable; urgency=medium

  * debian/rules: set FRAMADIR

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Dec 2016 13:13:18 +0100

why (2.36-4) unstable; urgency=medium

  * package tests: use /tmp when $ADT_ARTEFACTS is not set.
  * debian/rules: use $FRAMAVER variable when creating the META file

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Dec 2016 12:02:13 +0100

why (2.36-3) unstable; urgency=medium

  * drop build-dependency on liblablgtk2-ocaml-dev
  * stop using libapron, as advised by upstream:
    - drop build-dependency libapron-ocaml-dev
    - drop option enable-apron from ./configure invocation
  * generate frama-c-plugin/META.frama-c-jessie in debian/rules when it
    has not been generated by frama-c, which for some unknown reason
    happens on non-native architectures (closes: #844777).

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 Dec 2016 19:22:16 +0100

why (2.36-2) unstable; urgency=medium

  * dh invocation: use --no-parallel to fix FTBFS issues
  * jessie manpage: fix synopsis

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Oct 2016 21:33:30 +0200

why (2.36-1) unstable; urgency=medium

  * New upstream release. This version compiles with coq 8.5
    and drops the gwhy binary (Closes: #440469).
    - refreshed patches bprintf and edge
    - dropped patch makefile as ocaml warning options are now set
      by configure
    - dropped patch atp-versions which is now obsolete
  * Due to disappearance of the why binary:
    - drop why-cpulimit manpage since this binary is no longer build:
      (files d/why-cpulimit.1 and d/why.manpages)
    - remove d/why.links as upstream does not ship the why manpage any more
    - add build-dependency on why3 and why3-coq
    - package why: add dependency on why3
    - d/tests/frama-c+jessie+alt-ergo: adapt to why3
    - package why: remove Recommends of SMT solvers
    - remove tests why+{alt-ergo,coq,cvc3}
    - rewrite package description
    - add why.NEWS entry about the transition to why3
  * Due to disappearance of doc/manual.ps and ocamlgraph/ from upstream:
    - remove d/purify-source
    - drop filter from d/gbp.conf
  * Due to disappearance of examples from upstream: don't build binary
    package why-examples
  * Patch reproducible_build: remove timestamps (closes: #807051).
    Thanks to Valentin Lorentz for the patch!
  * debian/control:
    - Dropped build-dependency on libfloat-coq (closes: #815684)
    - Bumped build-dependency on frama-c to magnesium.
    - Standards-Version 3.9.8 (no change)
    - d/control remove redundant XS-Testsuite field
    - Vcs-{Browser,Git}: use secure URI
  * debian/watch:
    - format version 4
    - get link to newest version from the krakatoa home page (instead of
      trying to read the download/ directory).
  * debhelper-compatibility level 10:
    - bump value in d/compat
    - build-depends on debhelper (>=10)
    - invocation of dh in d/rules: sequence argument before options
  * update homepage to krakatoa.lri.fr 
  * create manpages, based on the output of help2man, for jessie and krakatoa
  * drop autoconf from d/rules and from build-dependencies
  * d/rules: disable upstream tests
  * d/rules: create bin directory before invoking dh_auto_build
  * d/tests: add test krakato+alt-ergo
  * remove d/README.source which is obsolete.

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Oct 2016 21:28:06 +0200

why (2.34-4) unstable; urgency=medium

  [ Ralf Treinen ]
  * improve as-installed package tests

  [ Mehdi Dogguy ]
  * Fix FTBFS with OCaml 4.02.3 by:
    - not using Format.bprintf anymore
    - not turning warning 3 into an error
  * Port Why to ocamlgraph 1.8.6

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 01:12:21 +0200

why (2.34-2) unstable; urgency=medium

  * Team upload
  * Recompile with coq 8.4pl4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 Aug 2014 09:34:24 +0200

why (2.34-1) unstable; urgency=low

  * New upstream release.
  * Drop deprecated patches:
    - deprecated-or
    - hashtbl
    - frama-c-versions
  * Bump build-dependency on frama-c to version 20140301+neon+dfsg.
  * Fix debian/tests/frama-c+jessie+alt-ergo:
    - run why-config when there is no ${HOME}/.whyrc
    - drop the specification of cpp-4.7 as this is no longer needed, and
      the dependency of that test on cpp-4.7
  
 -- Ralf Treinen <treinen@debian.org>  Tue, 29 Apr 2014 20:56:03 +0200

why (2.33-2) unstable; urgency=low

  * fixed typo in debian/tests/control (dependency of frama-c+jessie+alt-ergo)

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 Feb 2014 08:40:19 +0100

why (2.33-1) unstable; urgency=low

  * New upstream release. This fixes an issue with compilation under
    ocaml-4.01 (closes: #707585).
  * Bump build-dependency on frama-c-base to the latest version 
    (closes: #730526)
  * Drop patches adopted or otherwise fixed by upstream:
    - 0001-Why-2.29-do-support-Coq-8.3.patch
    - 0002-Mark-alt-ergo-0.93-as-compatible.patch
    - 0003-Fix-non-exhaustive-pattern-matching-in-jc_annot_infe.patch
    - 0004-Default-to-why2-for-jessie-atp.patch
    - 0005-Fix-Jc_annot_inference-use-old_reg_pos.patch
    - 0006-Fix-spelling-error-in-binary.patch
    - 0007-Replace-caduceus-invocation-by-Frama-C.patch
  * New patch deprecated-or to replace "or" by "||", needed for more strict
    checks in ocaml 4
  * New patch hashtbl to fix compilation with ocaml 4.01, taken from fedora.
  * New patch atp-versions: update accepted versions of external provers:
    alt-ergo, coq
  * New patch frama-c-versions: update accepted version of frama-c
  * Add myself to uploaders.
  * Standards-Version 3.9.5 (no change)
  * Add DEP8-style package tests 
    - why with alt-ergo
    - why with cvc3
    - why with coq (thanks to Pierre Letouzey for his help!)
    - frama-c, jessie plugin (from the why package), and alt-ergo
  * Add to the Recommendation of package alt-ergo alternatives on other
    theorem provers: cvc3, coq

 -- Ralf Treinen <treinen@debian.org>  Tue, 04 Feb 2014 12:33:02 +0100

why (2.30+dfsg-5) unstable; urgency=low

  * Update 0001-Why-2.29-do-support-Coq-8.3.patch
    - Mark Coq 8.3pl4 as compatible.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 16 May 2012 12:54:14 +0200

why (2.30+dfsg-4) unstable; urgency=high

  * Team upload
  * Recompile with coq 8.3pl4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Apr 2012 10:00:25 +0200

why (2.30+dfsg-3) unstable; urgency=high

  * Fix 0002-Mark-alt-ergo-0.93-as-compatible.patch
    - Adapt version_regexp because "alt-ergo -version" changed.
  * Fix 0004-Default-to-why2-for-jessie-atp.patch
    - default to "gui" instead of "why2".
  * Add 0007-Replace-caduceus-invocation-by-Frama-C.patch
    - Caduceus is gone. We use Frama-C instead.
    - Adding Frama-C to Why's dependencies.
  * Setting urgency to "high" to fix those issues.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 16 Jan 2012 18:19:38 +0100

why (2.30+dfsg-2) unstable; urgency=low

  * Rebuilt with latest coq-float 1:8.3pl1-1 (no source changes).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 12 Jan 2012 17:50:39 +0100

why (2.30+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    - Rebase and update existing patches
    - add 0004-Default-to-why2-for-jessie-atp.patch
    - add 0005-Fix-Jc_annot_inference-use-old_reg_pos.patch
  * Add (back) Build-Depends on coq-float.
  * Bump build requirement for frama-c to 20111001+nitrogen+dfsg-1~.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix description-synopsis-starts-with-article in why's description.
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Fix spelling-error-in-binary
  * Mark Coq 8.3pl3 as compatible with current Why

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 02 Jan 2012 15:39:47 +0100

why (2.29+dfsg-4) unstable; urgency=low

  * Rebuild with OCaml 3.12.1.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Nov 2011 22:31:40 +0100

why (2.29+dfsg-3) unstable; urgency=low

  * Remove last added patch. The problem was in Makefile.dynamic, shipped
    by frama-c-base which lacks some include statements.
    - remove 0004-ocamlgraph-is-needed-to-link-frama-c-Jessie.patch
    - Bump minimum version number for Frama-C to 20110201+carbon+dfsg-2~.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Apr 2011 12:11:03 +0200

why (2.29+dfsg-2) unstable; urgency=low

  * Fix FTBFS on armel.
    - add 0004-ocamlgraph-is-needed-to-link-frama-c-Jessie.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Apr 2011 00:29:49 +0200

why (2.29+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Remove old patches, which are not needed anymore.
    - Remove build-depends on coq-float (upstream switched to Flocq which
      is not packaged yet).
  * Bump minimum version of Coq to 8.3
    - and add 0001-Why-2.29-do-support-Coq-8.3.patch (upstream forgot to
      mention to why-config that Coq 8.3 is "ok").
  * Mark Alt-Ergo 0.93 as compatible
    - add 0002-Mark-alt-ergo-0.93-as-compatible.patch
  * Fix FTBFS due to non-exhaustive pattern matching
    - add 0003-Fix-non-exhaustive-pattern-matching-in-jc_annot_infe.patch
  * Set 20110201+carbon+dfsg-1~ as minimum version number for Frama-C.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Apr 2011 20:12:57 +0200

why (2.26+dfsg-4) unstable; urgency=low

  * Team upload
  * Rebuild with coq 8.2.pl2+dfsg-2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Mar 2011 08:03:27 +0100

why (2.26+dfsg-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Fix versioned build-deps to ensure smoother backports

  [ Mehdi Dogguy ]
  * Add 0007-Squeeze-s-Coq-is-also-compatible.patch: why-config checks
    compatibility of provers by checking their version number. Coq
    versioned 8.2pl2 is also compatible (like 8.2pl1). Marking it as
    such so that it gets activated.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 20 Jan 2011 21:00:18 +0100

why (2.26+dfsg-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add 0006-Cope-with-OCaml-3.12-s-Map.patch (Closes: #585459)

  [ Mehdi Dogguy ]
  * Rebuild with Coq 8.2pl2
  * Convert to 3.0 (quilt) source format.
  * Bump standards version to 3.9.0, no changes needed.
  * Bump minimum frama-c-base's version to 20100401+boron+dfsg-4~.
  * Add "make" to runtime dependencies of Why.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 20 Jul 2010 19:35:51 +0200

why (2.26+dfsg-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
  * Update copyright years
  * Build-depend on ocaml (>= 3.11.1-3~) and dh-ocaml (>= 0.9~)
  * Add a debian/source/format file (Keep 1.0 format, for now)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 21:47:05 +0200

why (2.25+dfsg-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
    - Remove 0004-Use-tools-make_float_model.ocamlbest-instead-of-opt-.patch
  * Bump Standards Version to 3.8.4, no changes needed.
  * Raise minimum version for Frama-C to 20100401+boron
  * Raise minimum version for OcamlGraph to 1.4

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 27 Apr 2010 16:28:54 +0200

why (2.23+dfsg-2) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Correctly detect Coq-float wrt. its new path
    - Add 0006-Coq-float-can-be-in-coqlib-user-contrib-Float.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2010 23:56:15 +0100

why (2.23+dfsg-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release
    + Remove makefile.in.dpatch (fixed upstream)
    + Remove jessie_lib.dpatch (not needed anymore)
    + Needs ocamlgraph 1.3
    + Fixes detection of Alt-Ergo (Closes: #552776).
  * Refresh packaging
    + Use dh 7 features
    + Build-depend on quilt (goodbye dpatch!)
    + Add ${ocaml:Depends} in Why's Depends field
    + Add 0001-Do-not-run-tests-on-non-existant-files.patch
  * Fix some spelling errors
    + Add 0003-Fix-spelling-errors.patch
  * Fix FTBFS on bytecode architectures
    + Add 0004-Use-tools-make_float_model.ocamlbest-instead-of-opt-.patch
    + Apron also needs oct.cmxa (0002-Enable-Apron-support.patch)
    + Generate Jessie.cma
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version
  * Set filter-pristine-tar to True in debian/gbp.conf
  * Remove libjessie-ocaml-dev which is no longer user by Frama-C and
    don't install the Jessie library.
  * Update copyright file
  * Add camlidl to Build-depends: needed to enable Arpon support

  [ Samuel Mimram ]
  * Enable apron support.
    + Add 0002-Enable-Apron-support.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2010 17:31:23 +0100

why (2.19+dfsg-2) unstable; urgency=low

  * Install why library in usr/share since there is no arch dependent
    files there.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 10 Sep 2009 14:11:00 +0200

why (2.19+dfsg-1) unstable; urgency=low

  * New Upstream Version
  * Use my Debian mail address, Remove DMUA
  * Add a 'Homepage' field in debian/control
  * Referesh path jessie_lib.dpatch
  * Fix long description for why-examples

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Aug 2009 20:11:39 +0200

why (2.18.dfsg-5) unstable; urgency=low

  * Rebuild against latest Coq package, Closes: #536104.
  * Bump standards to 3.8.2
  * Tighten build-depends to ease OCaml 3.11.1 transition

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 07 Jul 2009 23:50:16 +0200

why (2.18.dfsg-4) unstable; urgency=low

  * libjessie-ocaml-dev:
    - Do not install jc.cm{x,}a
    - Only jc.{o,cmx,cmo,cmi} are installed.
  * Remove configure.dpatch

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 20 May 2009 15:38:58 +0200

why (2.18.dfsg-3) unstable; urgency=low

  * Fix erroneous usage of ifdef in debian/rules.
  * why-examples depends on non-versioned libwhy-coq and why, thanks
    Lintian.
  * Make a long description for libwhy-coq, closes: #524054.
  * Bump standards version to 3.8.1, no changes needed
  * Jessie library: 
    - Make jc_ast and jc_env fit in the pack
    - install jc.cmo and jc.cmx
    - Move the binary package to section ocaml

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Thu, 16 Apr 2009 17:23:41 +0200

why (2.18.dfsg-2) unstable; urgency=low

  * libwhy-coq replaces why (<< 2.18.dfsg-1), closes: #522440.
  * why now depends on libwhy-coq (= ${binary:Version}) and why-examples
    on why (= ${binary:Version}).

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 03 Apr 2009 22:03:21 +0200

why (2.18.dfsg-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.
  * New binary packages:
    + libjessie-ocaml-dev:
      - Build and install jc.{cma,cmxa,a} using jessie_lib.dpatch
      - Install jc.cmi
      - Add a META file for Jessie library
    + why-examples:
      - why-examples recommends why
    + libwhy-coq:
      - Install .vo files in /usr/lib/coq/user-contrib, closes: #498713.
  * debian/rules:
    + do not compress .v,.sx,.why files
    + Use debhelper 7
    + Move logo in /usr/share/why (using logopath.dpatch)
    + Setting up manpages for krakatoa, gwhy-bin, tool-stat and why-config
  * debian/control:
    + Bump standards version to 3.8.0, no changes needed.
    + Why recommends alt-ergo and suggest libwhy-coq.
    + Add missing runtime dependency for why (on non-native-architecures).
    + Change vcs-* fields to point to Git repository
    + Depend on coq-${F:CoqABI} instead of Coq
    + Add DMUA flag with Sam's blessing
    + Remove not needed build dependency: ocamlweb
  * Add patch descriptions to configure.dpatch and logopath.dpatch

  [ Samuel Mimram ]
  * Use predefined variables from ocamlvars.mk and coqvars.mk.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 27 Feb 2009 14:09:32 +0100

why (2.13-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Using why-cpulimit instead of cpulimit Debian package, closes: 498485.
  * Renaming 'dp' into 'why-dp', closes: #499140.
  * Remove unnecessary dependency : cpulimit.

 -- Julien Cristau <jcristau@debian.org>  Wed, 17 Sep 2008 21:45:11 +0200

why (2.13-1) unstable; urgency=low

  * New upstream release.
  * Removed install.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Thu, 29 May 2008 09:22:09 +0200

why (2.11-2) unstable; urgency=low

  * Fix install target and JCLIB value in the Makefile, closes: #478501.
  * Update maintainer and uploders fields in debian/control.
  * Fix missing dependency (cpulimit).
  * Reinclude gwhy.sh
  * Add configure.dpatch to correctly detect ocamlopt.
  * Add myself to uploaders.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Mon, 05 May 2008 18:56:31 +0200

why (2.11-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 Apr 2008 09:36:52 +0200

why (2.10.dfsg.2-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * add vcs-* fields

  [ Samuel Mimram ]
  * New upstream release.
  * Correctly detects ocamldep, closes: #458267.
  * Updated watchfile.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 Jan 2008 09:45:16 +0100

why (2.10.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add dpatch support.
  * Added install.dpatch to correctly install gwhy.

 -- Samuel Mimram <smimram@debian.org>  Wed, 26 Dec 2007 14:15:38 +0100

why (2.04.dfsg-4) unstable; urgency=low

  * Rebuild with latest version of coq.

 -- Samuel Mimram <smimram@debian.org>  Sat, 22 Dec 2007 01:19:44 +0100

why (2.04.dfsg-3) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * Build-depend on camlp4, closes: #441500.

 -- Samuel Mimram <smimram@debian.org>  Mon, 10 Sep 2007 10:08:10 +0200

why (2.04.dfsg-2) unstable; urgency=low

  * Build-depend on libfloat-coq and enable float support, closes: #430878.

 -- Samuel Mimram <smimram@debian.org>  Thu, 30 Aug 2007 13:06:52 +0200

why (2.04.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 08 Aug 2007 09:47:17 +0200

why (2.03.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Not installing cpulimit anymore and renamed dp to why-dp, closes: #420620.

 -- Samuel Mimram <smimram@debian.org>  Fri, 27 Apr 2007 09:34:56 +0000

why (2.02.dfsg-1) unstable; urgency=low

  * Initial release, closes: #415862.
  * Removed octagon since it is not DFSG-free.

 -- Samuel Mimram <smimram@debian.org>  Thu, 22 Mar 2007 21:02:49 +0100
